# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'schema_plus_pg_indexes/version'

Gem::Specification.new do |gem|
  gem.name          = "schema_plus_pg_indexes"
  gem.version       = SchemaPlusPgIndexes::VERSION
  gem.authors       = ["ronen barzel"]
  gem.email         = ["ronen@barzel.org"]
  gem.summary       = %q{Adds support in ActiveRecord for PostgreSQL index expressions and operator classes, as well as a shorthand for case-insensitive indexes}
  gem.homepage      = "https://github.com/SchemaPlus/schema_plus_pg_indexes"
  gem.license       = "MIT"

  gem.files         = `git ls-files -z`.split("\x0")
  gem.executables   = gem.files.grep(%r{^bin/}) { |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ["lib"]

  gem.post_install_message = <<EOF
ActiveRecord 5.2 supports all of the functionality provided by Schema+ PG Indexes (expression indexes,
operator classes, case insensitive indexes).
Thus this gem is now deprecated and will not be maintained for future ActiveRecord versions.
The rest of Schema+, however, is still being maintained.

Please see the README.md for more information on migrating your old migrations to AR 5.2 syntax so you can remove this gem.
EOF

  gem.add_dependency "activerecord", ">= 5.0.1", "< 5.3"
  gem.add_dependency "schema_plus_indexes", "~> 0.2", ">= 0.2.4"
  gem.add_dependency "schema_plus_core", "~> 2.0"
  gem.add_dependency "its-it", "~> 1.2"

  gem.add_development_dependency "bundler", "~> 1.7"
  gem.add_development_dependency "rake", "~> 10.0"
  gem.add_development_dependency "rspec", "~> 3.0"
  gem.add_development_dependency "schema_dev", "~> 3.8"
  gem.add_development_dependency "simplecov"
  gem.add_development_dependency "simplecov-gem-profile"
end
